Update Experiment
curl --request PATCH \
--url https://api.example.com/v3/evals/experiments/{experiment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"error_reason": "<string>",
"error_message": "<string>",
"traceback": "<string>"
}
'import requests
url = "https://api.example.com/v3/evals/experiments/{experiment_id}"
payload = {
"name": "<string>",
"description": "<string>",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"error_reason": "<string>",
"error_message": "<string>",
"traceback": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
metadata: {key1: 'value1', key2: 'value2'},
error_reason: '<string>',
error_message: '<string>',
traceback: '<string>'
})
};
fetch('https://api.example.com/v3/evals/experiments/{experiment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"error_reason": "<string>",
"error_message": "<string>",
"traceback": "<string>",
"duration_ms": 123,
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"dataset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"application": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Experiments
Update Experiment
Update an experiment
PATCH
/
v3
/
evals
/
experiments
/
{experiment_id}
Update Experiment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Path parameter for unique identifier of an experiment
Body
application/json
Request body for updating an experiment
Updated name of the experiment
Maximum string length:
256Updated description of the experiment
Maximum string length:
512JSONB field for unstructured metadata
Example:
{ "key1": "value1", "key2": "value2" }Update experiment status
Available options:
IN_PROGRESS, COMPLETED, FAILED, CANCELLED Maximum string length:
64Error reason of the experiment
Maximum string length:
64Error message of the experiment
Traceback of the experiment
Response
Updated experiment details
⌘I